Update installation status

Update installation status

PATCH api/edge/uuid

Sets the installation status of the node assigned to uuid. A token can only update the status of the node it's attached to; it can't update the status of other cluster members.

Request syntax

patch api/edge/<uuid> '{"installation_status": "<string>", "message": "<string>"}'

Request parameters

The request accepts the following data in JSON format.

ParameterTypeDescriptionRequiredDefault value
installation_statusStringOne of no_status, in_progress, completed, or error.YesN/A
messageStringA custom message describing the status update.YesN/A

Response syntax

{
    "hostname": "string",
    "installation_status": "string",
    "expires_at": "timestamp",
    "message": "string",
    "updated_at": "timestamp",
    "time_remaining": "string",
    "cluster_members": [
        {
            "hostname": "string",
            "installation_status": "string",
            "message": "string",
            "updated_at": "timestamp"
        }
    ]
}

Response parameters

If the action is successful, an HTTP 200 response is returned. The following data is returned in JSON format.

FieldTypeDescription
hostnameStringThe hostname of the node assigned to the token.
installation_statusStringThe installation status that was set.
expires_atTimestampWhen the token expires.
messageStringThe message that was set.
updated_atTimestampWhen the status was last updated.
time_remainingStringThe time remaining before the token expires.
cluster_membersArrayThe hostname, installation status, latest message, and last-updated timestamp for each cluster member.

Errors

The following are possible errors returned when making this API call. For more information, see Common errors.

CodeMessageCause
401UnauthorizedThe token is incorrect or improperly formatted.
404Not foundThe token wasn't found.
403Access token expiredThe token's expiration timer has elapsed.
403Access token disabledThe URL was manually disabled.

Examples

Example: Update the installation status for a node

curl -X PATCH -H "Accept: application/vnd.reliantsec-v1+json" -H "Content-Type: application/json" https://platform.reliant.io/api/edge/a51d1c80-8bf1-4f2c-9840-e5c9592fc616 -d '{"installation_status":"in_progress","message":"All good!"}'

Response

{
  "hostname": "sit0005red0",
  "installation_status": "in_progress",
  "expires_at": "2021-11-24T23:54:11Z",
  "message": "All good!",
  "updated_at": "2021-11-24T22:28:28Z",
  "time_remaining": "2.99056 hours",
  "cluster_members": [
    {
      "hostname": "sit0005red1",
      "installation_status": "in_progress",
      "message": "Booting up",
      "updated_at": "2021-10-02T03:54:11Z"
    },
    {
      "hostname": "sit0005red2",
      "installation_status": "no_status"
    }
  ]
}